For the complete documentation index, see llms.txt. This page is also available as Markdown.

Entidades

Use el endpoint de Entidades para recuperar propiedades detalladas y metadatos de las entidades de Violet.

El entidades el endpoint devuelve un amplio conjunto de propiedades y metadatos relacionados con una entidad o entidades. Puede usar el explore endpoint para determinar los ID de las entidades y luego el entidades endpoint para consultar un conjunto más profundo de metadatos sobre la entidad.

post

Returns VioletEntityDto (default) or VioletEntityMcpCompactDto when responseScope is mcp_compact, for each id the caller can read. Omit unknown or forbidden ids.

Autorizaciones
AuthorizationstringRequerido
Bearer authentication header of the form Bearer <token>.
Cuerpo
idsstring · uuid[]Requerido

Violet entity UUIDs to load (e.g. from getEntityRelationships graph nodes). Up to 100 IDs per request.

responseScopestring · enumOpcional

Set to mcp_compact for a slim payload suitable for MCP / LLM (omits integrationEntities, schemas, tags, etc.). Omit for the standard VioletEntityDto[] response.

Valores posibles:
Respuestas
200

Entities found (subset of requested ids if some are inaccessible). Homogeneous array: full VioletEntityDto when responseScope is omitted, or VioletEntityMcpCompactDto when responseScope is mcp_compact.

application/json
o
post/api/entities/by-ids
POST /api/entities/by-ids HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 78

{
  "ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "responseScope": "mcp_compact"
}
200

Entities found (subset of requested ids if some are inaccessible). Homogeneous array: full VioletEntityDto when responseScope is omitted, or VioletEntityMcpCompactDto when responseScope is mcp_compact.

[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "description": "text",
    "integrationEntities": [
      {
        "customConfigurationOptions": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "requestConfig": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "integration": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "connection": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "text",
            "credentials": {},
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "application": {
              "id": "text",
              "name": "text",
              "imageUrl": "text",
              "categories": [
                "text"
              ],
              "description": "text",
              "shortDescription": "text",
              "available": true,
              "isHidden": true,
              "apiType": "REST",
              "importFormats": [
                "csv"
              ],
              "defaultImportSchemaConfig": {},
              "externalEntitySchemas": [
                {
                  "id": "123e4567-e89b-12d3-a456-426614174000",
                  "name": "text",
                  "label": "text",
                  "violetCoreEntity": "Account",
                  "connectedEntities": [
                    "text"
                  ],
                  "isReference": true,
                  "isSubEntity": true,
                  "isContainer": true,
                  "propertySchemas": [
                    {
                      "id": "123e4567-e89b-12d3-a456-426614174000",
                      "programId": "123e4567-e89b-12d3-a456-426614174000",
                      "name": "text",
                      "label": "text",
                      "propertyValue": "text",
                      "violetType": "text",
                      "propertyType": "array",
                      "violetCoreProperty": "Account",
                      "category": "accountNumber",
                      "unit": "text",
                      "isHidden": true,
                      "isRequired": true,
                      "isEditable": true,
                      "namedEntityProperty": "text",
                      "namedEntityType": "text",
                      "hideEmpty": true,
                      "filterEmpty": true,
                      "sysmlType": "text",
                      "enumMap": {},
                      "relationshipType": "containsPOLine",
                      "targetEntity": "text",
                      "parentPropertySchemaId": "text"
                    }
                  ],
                  "updatedAt": "2026-01-01T00:00:00.000Z",
                  "individualEntityFetchRequests": [
                    {}
                  ],
                  "sortedPropertySchemas": [
                    {
                      "id": "123e4567-e89b-12d3-a456-426614174000",
                      "programId": "123e4567-e89b-12d3-a456-426614174000",
                      "name": "text",
                      "label": "text",
                      "propertyValue": "text",
                      "violetType": "text",
                      "propertyType": "array",
                      "violetCoreProperty": "Account",
                      "category": "accountNumber",
                      "unit": "text",
                      "isHidden": true,
                      "isRequired": true,
                      "isEditable": true,
                      "namedEntityProperty": "text",
                      "namedEntityType": "text",
                      "hideEmpty": true,
                      "filterEmpty": true,
                      "sysmlType": "text",
                      "enumMap": {},
                      "relationshipType": "containsPOLine",
                      "targetEntity": "text",
                      "parentPropertySchemaId": "text"
                    }
                  ],
                  "relatedExternalActions": [
                    {}
                  ],
                  "modelComponentSchemaTransformationSchema": {}
                }
              ],
              "securitySchemes": {},
              "oAuthConfiguration": {},
              "appServerUrl": "text",
              "serverUrlPlaceholder": "text",
              "webUrl": "text",
              "loginRequest": {},
              "testRequest": {},
              "isUserCreated": true,
              "defaultRefreshIntervals": {},
              "partialFetch": true
            },
            "instanceName": "text",
            "numIntegrations": 1,
            "server": "text",
            "user": {},
            "webUrl": "text",
            "downloadUrl": "text",
            "securityScheme": {},
            "hasCustomPermissions": true,
            "isPrivate": true,
            "reauthenticationRequired": true,
            "roles": [
              {
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "permission": {
                  "name": "admin",
                  "operations": [
                    "create"
                  ]
                },
                "userIds": [
                  "123e4567-e89b-12d3-a456-426614174000"
                ],
                "groupIds": [
                  "123e4567-e89b-12d3-a456-426614174000"
                ]
              }
            ],
            "userPermissions": {},
            "apiKeyCounter": 1,
            "apiKeyExpiration": "2026-01-01T00:00:00.000Z",
            "useSocks5": true,
            "environment": "text",
            "deploymentEnvironment": "text",
            "description": "text",
            "modifiedBy": "text",
            "configModifiedAt": "2026-01-01T00:00:00.000Z",
            "isValid": true,
            "allowExport": true,
            "isGeneric": true,
            "freeText": "text"
          },
          "restApiConnection": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "text",
            "credentials": {},
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "application": {
              "id": "text",
              "name": "text",
              "imageUrl": "text",
              "categories": [
                "text"
              ],
              "description": "text",
              "shortDescription": "text",
              "available": true,
              "isHidden": true,
              "apiType": "REST",
              "importFormats": [
                "csv"
              ],
              "defaultImportSchemaConfig": {},
              "externalEntitySchemas": [
                {
                  "id": "123e4567-e89b-12d3-a456-426614174000",
                  "name": "text",
                  "label": "text",
                  "violetCoreEntity": "Account",
                  "connectedEntities": [
                    "text"
                  ],
                  "isReference": true,
                  "isSubEntity": true,
                  "isContainer": true,
                  "propertySchemas": [
                    {
                      "id": "123e4567-e89b-12d3-a456-426614174000",
                      "programId": "123e4567-e89b-12d3-a456-426614174000",
                      "name": "text",
                      "label": "text",
                      "propertyValue": "text",
                      "violetType": "text",
                      "propertyType": "array",
                      "violetCoreProperty": "Account",
                      "category": "accountNumber",
                      "unit": "text",
                      "isHidden": true,
                      "isRequired": true,
                      "isEditable": true,
                      "namedEntityProperty": "text",
                      "namedEntityType": "text",
                      "hideEmpty": true,
                      "filterEmpty": true,
                      "sysmlType": "text",
                      "enumMap": {},
                      "relationshipType": "containsPOLine",
                      "targetEntity": "text",
                      "parentPropertySchemaId": "text"
                    }
                  ],
                  "updatedAt": "2026-01-01T00:00:00.000Z",
                  "individualEntityFetchRequests": [
                    {}
                  ],
                  "sortedPropertySchemas": [
                    {
                      "id": "123e4567-e89b-12d3-a456-426614174000",
                      "programId": "123e4567-e89b-12d3-a456-426614174000",
                      "name": "text",
                      "label": "text",
                      "propertyValue": "text",
                      "violetType": "text",
                      "propertyType": "array",
                      "violetCoreProperty": "Account",
                      "category": "accountNumber",
                      "unit": "text",
                      "isHidden": true,
                      "isRequired": true,
                      "isEditable": true,
                      "namedEntityProperty": "text",
                      "namedEntityType": "text",
                      "hideEmpty": true,
                      "filterEmpty": true,
                      "sysmlType": "text",
                      "enumMap": {},
                      "relationshipType": "containsPOLine",
                      "targetEntity": "text",
                      "parentPropertySchemaId": "text"
                    }
                  ],
                  "relatedExternalActions": [
                    {}
                  ],
                  "modelComponentSchemaTransformationSchema": {}
                }
              ],
              "securitySchemes": {},
              "oAuthConfiguration": {},
              "appServerUrl": "text",
              "serverUrlPlaceholder": "text",
              "webUrl": "text",
              "loginRequest": {},
              "testRequest": {},
              "isUserCreated": true,
              "defaultRefreshIntervals": {},
              "partialFetch": true
            },
            "instanceName": "text",
            "numIntegrations": 1,
            "server": "text",
            "user": {},
            "webUrl": "text",
            "downloadUrl": "text",
            "securityScheme": {},
            "hasCustomPermissions": true,
            "isPrivate": true,
            "reauthenticationRequired": true,
            "roles": [
              {
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "permission": {
                  "name": "admin",
                  "operations": [
                    "create"
                  ]
                },
                "userIds": [
                  "123e4567-e89b-12d3-a456-426614174000"
                ],
                "groupIds": [
                  "123e4567-e89b-12d3-a456-426614174000"
                ]
              }
            ],
            "userPermissions": {},
            "apiKeyCounter": 1,
            "apiKeyExpiration": "2026-01-01T00:00:00.000Z",
            "useSocks5": true,
            "environment": "text",
            "deploymentEnvironment": "text",
            "description": "text",
            "modifiedBy": "text",
            "configModifiedAt": "2026-01-01T00:00:00.000Z",
            "isValid": true,
            "allowExport": true,
            "isGeneric": true,
            "freeText": "text"
          },
          "application": {
            "id": "text",
            "name": "text",
            "imageUrl": "text",
            "categories": [
              "text"
            ],
            "description": "text",
            "shortDescription": "text",
            "available": true,
            "isHidden": true,
            "apiType": "REST",
            "importFormats": [
              "csv"
            ],
            "defaultImportSchemaConfig": {},
            "externalEntitySchemas": [
              {
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "name": "text",
                "label": "text",
                "violetCoreEntity": "Account",
                "connectedEntities": [
                  "text"
                ],
                "isReference": true,
                "isSubEntity": true,
                "isContainer": true,
                "propertySchemas": [
                  {
                    "id": "123e4567-e89b-12d3-a456-426614174000",
                    "programId": "123e4567-e89b-12d3-a456-426614174000",
                    "name": "text",
                    "label": "text",
                    "propertyValue": "text",
                    "violetType": "text",
                    "propertyType": "array",
                    "violetCoreProperty": "Account",
                    "category": "accountNumber",
                    "unit": "text",
                    "isHidden": true,
                    "isRequired": true,
                    "isEditable": true,
                    "namedEntityProperty": "text",
                    "namedEntityType": "text",
                    "hideEmpty": true,
                    "filterEmpty": true,
                    "sysmlType": "text",
                    "enumMap": {},
                    "relationshipType": "containsPOLine",
                    "targetEntity": "text",
                    "parentPropertySchemaId": "text"
                  }
                ],
                "updatedAt": "2026-01-01T00:00:00.000Z",
                "individualEntityFetchRequests": [
                  {}
                ],
                "sortedPropertySchemas": [
                  {
                    "id": "123e4567-e89b-12d3-a456-426614174000",
                    "programId": "123e4567-e89b-12d3-a456-426614174000",
                    "name": "text",
                    "label": "text",
                    "propertyValue": "text",
                    "violetType": "text",
                    "propertyType": "array",
                    "violetCoreProperty": "Account",
                    "category": "accountNumber",
                    "unit": "text",
                    "isHidden": true,
                    "isRequired": true,
                    "isEditable": true,
                    "namedEntityProperty": "text",
                    "namedEntityType": "text",
                    "hideEmpty": true,
                    "filterEmpty": true,
                    "sysmlType": "text",
                    "enumMap": {},
                    "relationshipType": "containsPOLine",
                    "targetEntity": "text",
                    "parentPropertySchemaId": "text"
                  }
                ],
                "relatedExternalActions": [
                  {}
                ],
                "modelComponentSchemaTransformationSchema": {}
              }
            ],
            "securitySchemes": {},
            "oAuthConfiguration": {},
            "appServerUrl": "text",
            "serverUrlPlaceholder": "text",
            "webUrl": "text",
            "loginRequest": {},
            "testRequest": {},
            "isUserCreated": true,
            "defaultRefreshIntervals": {},
            "partialFetch": true
          },
          "applicationId": "123e4567-e89b-12d3-a456-426614174000",
          "numIntegrationEntities": 1,
          "createdAt": "2026-01-01T00:00:00.000Z",
          "lastFetchedAt": "2026-01-01T00:00:00.000Z",
          "lastAttemptedFetchedStart": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "config": {},
          "integrationEntities": "[Circular Reference]",
          "user": "[Circular Reference]",
          "fetchStatus": "queued",
          "lastFetchInfo": "text",
          "lastFetchFetchType": "full_initial",
          "isPaused": true,
          "isPrivate": true,
          "canEdit": true,
          "canDelete": true,
          "importId": "123e4567-e89b-12d3-a456-426614174000",
          "autoPushToIntegrationIds": [
            "123e4567-e89b-12d3-a456-426614174000"
          ],
          "onlyPushReleasedEntities": true,
          "onlyPushPartsInReleasedAssemblies": true,
          "onlyPushCompleteAssemblies": true,
          "releaseBomsOnPush": true,
          "pushAttachments": true,
          "removeRelationshipsThatNoLongerExistInPushToIntegrations": true,
          "doNotPushAssemblyRelationships": true,
          "nextFetch": "2026-01-01T00:00:00.000Z",
          "selectedContainerExternalIds": [
            "text"
          ],
          "roles": [
            {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "permission": {
                "name": "admin",
                "operations": [
                  "create"
                ]
              },
              "userIds": [
                "123e4567-e89b-12d3-a456-426614174000"
              ],
              "groupIds": [
                "123e4567-e89b-12d3-a456-426614174000"
              ]
            }
          ],
          "userPermissions": {},
          "programId": "text",
          "hasCustomPermissions": true,
          "parentId": "text",
          "autoPushToIntegrationNames": [
            "text"
          ],
          "autoPushToApplicationIdsIntegrationNames": {},
          "userInputPathsToExcludeOnUpdateEntityPushes": [
            "text"
          ],
          "currentJobId": "text",
          "modifiedBy": "text",
          "configModifiedAt": "2026-01-01T00:00:00.000Z"
        },
        "violetRelationshipSpecs": [
          "[Circular Reference]"
        ],
        "entityName": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "transformationSchemas": [
          {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "text",
            "targetApplicationId": "123e4567-e89b-12d3-a456-426614174000",
            "targetApplicationName": "text",
            "targetIntegrationEntityIds": [
              "123e4567-e89b-12d3-a456-426614174000"
            ]
          }
        ],
        "externalEntitySchema": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "label": "text",
          "violetCoreEntity": "Account",
          "connectedEntities": [
            "text"
          ],
          "isReference": true,
          "isSubEntity": true,
          "isContainer": true,
          "propertySchemas": [
            {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "programId": "123e4567-e89b-12d3-a456-426614174000",
              "name": "text",
              "label": "text",
              "propertyValue": "text",
              "violetType": "text",
              "propertyType": "array",
              "violetCoreProperty": "Account",
              "category": "accountNumber",
              "unit": "text",
              "isHidden": true,
              "isRequired": true,
              "isEditable": true,
              "namedEntityProperty": "text",
              "namedEntityType": "text",
              "hideEmpty": true,
              "filterEmpty": true,
              "sysmlType": "text",
              "enumMap": {},
              "relationshipType": "containsPOLine",
              "targetEntity": "text",
              "parentPropertySchemaId": "text"
            }
          ],
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "individualEntityFetchRequests": [
            {}
          ],
          "sortedPropertySchemas": [
            {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "programId": "123e4567-e89b-12d3-a456-426614174000",
              "name": "text",
              "label": "text",
              "propertyValue": "text",
              "violetType": "text",
              "propertyType": "array",
              "violetCoreProperty": "Account",
              "category": "accountNumber",
              "unit": "text",
              "isHidden": true,
              "isRequired": true,
              "isEditable": true,
              "namedEntityProperty": "text",
              "namedEntityType": "text",
              "hideEmpty": true,
              "filterEmpty": true,
              "sysmlType": "text",
              "enumMap": {},
              "relationshipType": "containsPOLine",
              "targetEntity": "text",
              "parentPropertySchemaId": "text"
            }
          ],
          "relatedExternalActions": [
            {}
          ],
          "modelComponentSchemaTransformationSchema": {}
        },
        "externalEntitySchemaId": "123e4567-e89b-12d3-a456-426614174000",
        "pushFilters": [
          {}
        ],
        "excludeFromPushingToIntegrationIds": [
          "123e4567-e89b-12d3-a456-426614174000"
        ],
        "nextFetchTypeOverride": "full_initial"
      }
    ],
    "properties": {},
    "tags": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "description": "text",
        "color": "text",
        "taggingsCount": 1,
        "taggedEntityIds": [
          "123e4567-e89b-12d3-a456-426614174000"
        ]
      }
    ],
    "applicationId": "123e4567-e89b-12d3-a456-426614174000",
    "application": {
      "id": "text",
      "name": "text",
      "imageUrl": "text",
      "categories": [
        "text"
      ],
      "description": "text",
      "shortDescription": "text",
      "available": true,
      "isHidden": true,
      "apiType": "REST",
      "importFormats": [
        "csv"
      ],
      "defaultImportSchemaConfig": {},
      "externalEntitySchemas": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "label": "text",
          "violetCoreEntity": "Account",
          "connectedEntities": [
            "text"
          ],
          "isReference": true,
          "isSubEntity": true,
          "isContainer": true,
          "propertySchemas": [
            {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "programId": "123e4567-e89b-12d3-a456-426614174000",
              "name": "text",
              "label": "text",
              "propertyValue": "text",
              "violetType": "text",
              "propertyType": "array",
              "violetCoreProperty": "Account",
              "category": "accountNumber",
              "unit": "text",
              "isHidden": true,
              "isRequired": true,
              "isEditable": true,
              "namedEntityProperty": "text",
              "namedEntityType": "text",
              "hideEmpty": true,
              "filterEmpty": true,
              "sysmlType": "text",
              "enumMap": {},
              "relationshipType": "containsPOLine",
              "targetEntity": "text",
              "parentPropertySchemaId": "text"
            }
          ],
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "individualEntityFetchRequests": [
            {}
          ],
          "sortedPropertySchemas": [
            {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "programId": "123e4567-e89b-12d3-a456-426614174000",
              "name": "text",
              "label": "text",
              "propertyValue": "text",
              "violetType": "text",
              "propertyType": "array",
              "violetCoreProperty": "Account",
              "category": "accountNumber",
              "unit": "text",
              "isHidden": true,
              "isRequired": true,
              "isEditable": true,
              "namedEntityProperty": "text",
              "namedEntityType": "text",
              "hideEmpty": true,
              "filterEmpty": true,
              "sysmlType": "text",
              "enumMap": {},
              "relationshipType": "containsPOLine",
              "targetEntity": "text",
              "parentPropertySchemaId": "text"
            }
          ],
          "relatedExternalActions": [
            {}
          ],
          "modelComponentSchemaTransformationSchema": {}
        }
      ],
      "securitySchemes": {},
      "oAuthConfiguration": {},
      "appServerUrl": "text",
      "serverUrlPlaceholder": "text",
      "webUrl": "text",
      "loginRequest": {},
      "testRequest": {},
      "isUserCreated": true,
      "defaultRefreshIntervals": {},
      "partialFetch": true
    },
    "folder": {
      "id": "text",
      "name": "text",
      "description": "text",
      "order": 1,
      "orderLabel": "text",
      "parentId": "text",
      "parent": {
        "id": "text",
        "name": "text",
        "description": "text",
        "order": 1,
        "orderLabel": "text",
        "parentId": "text",
        "parent": {
          "id": "text",
          "name": "text",
          "description": "text",
          "order": 1,
          "orderLabel": "text",
          "parentId": "text",
          "parent": "[Circular Reference]",
          "children": "[Circular Reference]",
          "violetId": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "text"
          },
          "style": {},
          "createdBy": "[Circular Reference]",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "allParentData": [
            {}
          ]
        },
        "children": [
          "[Circular Reference]"
        ],
        "violetId": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text"
        },
        "style": {},
        "createdBy": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "email": "name@gmail.com",
          "fullname": "text",
          "firstName": "text",
          "lastName": "text",
          "avatarUrl": "text",
          "type": "system",
          "isVerified": true,
          "tenantUsers": "[Circular Reference]",
          "alternateEmailAddress": "name@gmail.com",
          "otp": {
            "userId": "123e4567-e89b-12d3-a456-426614174000",
            "jwt": "text"
          },
          "loginMethods": [
            {}
          ],
          "oidcUpdatedFields": {},
          "magicLinkCode": "123e4567-e89b-12d3-a456-426614174000",
          "lastLoginTimestamp": "2026-01-01T00:00:00.000Z",
          "totalLoginCount": 1
        },
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "allParentData": [
          {}
        ]
      },
      "children": [
        {
          "id": "text",
          "name": "text",
          "description": "text",
          "order": 1,
          "orderLabel": "text",
          "parentId": "text",
          "parent": {
            "id": "text",
            "name": "text",
            "description": "text",
            "order": 1,
            "orderLabel": "text",
            "parentId": "text",
            "parent": {
              "id": "text",
              "name": "text",
              "description": "text",
              "order": 1,
              "orderLabel": "text",
              "parentId": "text",
              "parent": "[Circular Reference]",
              "children": "[Circular Reference]",
              "violetId": {
                "id": "123e4567-e89b-12d3-a456-426614174000",
                "name": "text"
              },
              "style": {},
              "createdBy": "[Circular Reference]",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "updatedAt": "2026-01-01T00:00:00.000Z",
              "allParentData": [
                {}
              ]
            },
            "children": [
              "[Circular Reference]"
            ],
            "violetId": {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "name": "text"
            },
            "style": {},
            "createdBy": {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "email": "name@gmail.com",
              "fullname": "text",
              "firstName": "text",
              "lastName": "text",
              "avatarUrl": "text",
              "type": "system",
              "isVerified": true,
              "tenantUsers": "[Circular Reference]",
              "alternateEmailAddress": "name@gmail.com",
              "otp": {
                "userId": "123e4567-e89b-12d3-a456-426614174000",
                "jwt": "text"
              },
              "loginMethods": [
                {}
              ],
              "oidcUpdatedFields": {},
              "magicLinkCode": "123e4567-e89b-12d3-a456-426614174000",
              "lastLoginTimestamp": "2026-01-01T00:00:00.000Z",
              "totalLoginCount": 1
            },
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "allParentData": [
              {}
            ]
          },
          "children": "[Circular Reference]",
          "violetId": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "text"
          },
          "style": {},
          "createdBy": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "email": "name@gmail.com",
            "fullname": "text",
            "firstName": "text",
            "lastName": "text",
            "avatarUrl": "text",
            "type": "system",
            "isVerified": true,
            "tenantUsers": "[Circular Reference]",
            "alternateEmailAddress": "name@gmail.com",
            "otp": {
              "userId": "123e4567-e89b-12d3-a456-426614174000",
              "jwt": "text"
            },
            "loginMethods": [
              {}
            ],
            "oidcUpdatedFields": {},
            "magicLinkCode": "123e4567-e89b-12d3-a456-426614174000",
            "lastLoginTimestamp": "2026-01-01T00:00:00.000Z",
            "totalLoginCount": 1
          },
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "allParentData": [
            {}
          ]
        }
      ],
      "violetId": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "style": {},
      "createdBy": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "email": "name@gmail.com",
        "fullname": "text",
        "firstName": "text",
        "lastName": "text",
        "avatarUrl": "text",
        "type": "system",
        "isVerified": true,
        "tenantUsers": "[Circular Reference]",
        "alternateEmailAddress": "name@gmail.com",
        "otp": {
          "userId": "123e4567-e89b-12d3-a456-426614174000",
          "jwt": "text"
        },
        "loginMethods": [
          {}
        ],
        "oidcUpdatedFields": {},
        "magicLinkCode": "123e4567-e89b-12d3-a456-426614174000",
        "lastLoginTimestamp": "2026-01-01T00:00:00.000Z",
        "totalLoginCount": 1
      },
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "allParentData": [
        {}
      ]
    },
    "key": "text",
    "externalId": "text",
    "externalUrl": "text",
    "downloadUrl": "text",
    "s3FileUrl": "text",
    "thumbnailDownloadUrl": "text",
    "thumbnailS3FileUrl": "text",
    "applicationIcon": "text",
    "rawJsonPayload": {},
    "rawJsonPayloadHash": "text",
    "isNew": true,
    "isReference": true,
    "isSubEntity": true,
    "isRevision": true,
    "isContainer": true,
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "deletedAt": "2026-01-01T00:00:00.000Z",
    "tenantId": "123e4567-e89b-12d3-a456-426614174000",
    "violetId": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    },
    "schema": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "label": "text",
      "violetCoreEntity": "Account",
      "connectedEntities": [
        "text"
      ],
      "isReference": true,
      "isSubEntity": true,
      "isContainer": true,
      "propertySchemas": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "programId": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "label": "text",
          "propertyValue": "text",
          "violetType": "text",
          "propertyType": "array",
          "violetCoreProperty": "Account",
          "category": "accountNumber",
          "unit": "text",
          "isHidden": true,
          "isRequired": true,
          "isEditable": true,
          "namedEntityProperty": "text",
          "namedEntityType": "text",
          "hideEmpty": true,
          "filterEmpty": true,
          "sysmlType": "text",
          "enumMap": {},
          "relationshipType": "containsPOLine",
          "targetEntity": "text",
          "parentPropertySchemaId": "text"
        }
      ],
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "individualEntityFetchRequests": [
        {}
      ],
      "sortedPropertySchemas": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "programId": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "label": "text",
          "propertyValue": "text",
          "violetType": "text",
          "propertyType": "array",
          "violetCoreProperty": "Account",
          "category": "accountNumber",
          "unit": "text",
          "isHidden": true,
          "isRequired": true,
          "isEditable": true,
          "namedEntityProperty": "text",
          "namedEntityType": "text",
          "hideEmpty": true,
          "filterEmpty": true,
          "sysmlType": "text",
          "enumMap": {},
          "relationshipType": "containsPOLine",
          "targetEntity": "text",
          "parentPropertySchemaId": "text"
        }
      ],
      "relatedExternalActions": [
        {}
      ],
      "modelComponentSchemaTransformationSchema": {}
    },
    "schemaId": "123e4567-e89b-12d3-a456-426614174000",
    "parameterId": "123e4567-e89b-12d3-a456-426614174000",
    "requirementId": "123e4567-e89b-12d3-a456-426614174000",
    "requirementProgramId": "123e4567-e89b-12d3-a456-426614174000",
    "containerIds": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "programIds": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "externalLastModifiedAt": "2026-01-01T00:00:00.000Z",
    "externalCreatedAt": "2026-01-01T00:00:00.000Z",
    "violetCorePropertyValues": {},
    "violetCoreEntity": "Account",
    "namedEntityProperties": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "namedEntityId": "123e4567-e89b-12d3-a456-426614174000",
        "violetEntityId": "123e4567-e89b-12d3-a456-426614174000",
        "propertyName": "text",
        "propertyIndex": 1,
        "namedEntity": {
          "type": "Company",
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "violetEntityProperties": "[Circular Reference]"
        }
      }
    ],
    "lastAttemptedJob": "text",
    "connectionIds": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "integrationIds": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "integrationNames": [
      "text"
    ],
    "violetScriptId": "123e4567-e89b-12d3-a456-426614174000",
    "outputs": {},
    "scriptContent": {},
    "scriptVariables": {},
    "scriptLanguage": "Python",
    "internalEntitySchema": {
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "deletedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "label": "text",
      "propertySchemas": [
        {
          "id": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "deletedAt": "2026-01-01T00:00:00.000Z",
          "name": "text",
          "targetName": "text",
          "label": "text",
          "propertyValue": "text",
          "defaultPropertyValue": "text",
          "fallbackPropertyValue": "text",
          "propertyRequestValue": "text",
          "propertyTransformers": [
            "CALCULATE_RELEASE_DATE_FROM_SOLIDWORKS_PDM"
          ],
          "isEditable": true,
          "isRequired": true,
          "templatedPropertyUpdateRequestSpec": {},
          "enumMap": {},
          "enumName": "text",
          "violetType": "string",
          "propertyType": "array",
          "violetCoreProperty": "Account",
          "category": "accountNumber",
          "unit": "text",
          "targetEntity": "text",
          "targetPropertyValue": "text",
          "order": 1,
          "isHidden": true,
          "hidePropertyActivities": true,
          "namedEntityType": "Company",
          "namedEntityProperty": "id",
          "entitySchemas": "[Circular Reference]",
          "parentPropertySchemaId": "text",
          "parentPropertySchema": "[Circular Reference]",
          "childPropertySchemas": "[Circular Reference]",
          "hideEmpty": true,
          "filterEmpty": true,
          "targetEntityLookupField": "text",
          "sysmlType": "text",
          "program": "[Circular Reference]",
          "programId": "text",
          "sharedPrograms": "[Circular Reference]",
          "relationshipType": "containsPOLine"
        }
      ],
      "violetCoreEntity": "Account",
      "disableDelete": true,
      "key": {},
      "externalIdPrefix": "text",
      "externalId": {},
      "externalDescription": {},
      "externalName": {},
      "fallbackExternalName": {},
      "externalLastModifiedAt": {},
      "externalCreatedAt": {},
      "alternateIds": [
        {}
      ],
      "externalUrl": {},
      "downloadUrls": [
        "text"
      ],
      "thumbnailDownloadUrls": [
        {}
      ],
      "isReference": true,
      "isSubEntity": true,
      "hasRevisions": true,
      "isRevision": true,
      "isContainer": true,
      "applicationId": "text",
      "revisionParentId": {},
      "s3FileUrl": "text",
      "thumbnailS3FileUrl": "text",
      "hashExcludeKeys": [
        "text"
      ],
      "parameters": [
        {
          "id": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "deletedAt": "2026-01-01T00:00:00.000Z",
          "name": "text",
          "isTemplate": true,
          "templateId": "text",
          "internalEntitySchema": "[Circular Reference]",
          "internalEntitySchemaId": "text",
          "violetEntities": "[Circular Reference]"
        }
      ],
      "violetEntities": [
        {
          "id": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "deletedAt": "2026-01-01T00:00:00.000Z",
          "integrationEntities": "[Circular Reference]",
          "parameterId": "text",
          "applicationId": "text",
          "application": "[Circular Reference]",
          "parameter": "[Circular Reference]",
          "name": "text",
          "description": "text",
          "rawJsonPayload": {},
          "properties": {},
          "coreProperties": {},
          "externalId": "text",
          "key": "text",
          "externalUrl": "text",
          "downloadUrl": "text",
          "s3FileUrl": "text",
          "thumbnailDownloadUrl": "text",
          "thumbnailS3FileUrl": "text",
          "fallbackExternalName": "text",
          "alternateIds": [
            "text"
          ],
          "rawJsonPayloadHash": "text",
          "relationshipLookupValues": {},
          "activities": "[Circular Reference]",
          "notificationSubscriptions": "[Circular Reference]",
          "scriptSubscriptions": "[Circular Reference]",
          "isNew": true,
          "stubType": "CREATE",
          "isReference": true,
          "isSubEntity": true,
          "isContainer": true,
          "hasRevisions": true,
          "isRevision": true,
          "revisionParentId": "text",
          "externalLastModifiedAt": "2026-01-01T00:00:00.000Z",
          "externalCreatedAt": "2026-01-01T00:00:00.000Z",
          "pushPendingStatus": "create",
          "pushStatus": "queued",
          "lastPushedAt": "2026-01-01T00:00:00.000Z",
          "lastPushInfo": "text",
          "lastPushJobId": "text",
          "autoPushTargetIntegrationEntities": "[Circular Reference]",
          "taggings": "[Circular Reference]",
          "violetId": "[Circular Reference]",
          "idOfVioletId": "text",
          "folder": "[Circular Reference]",
          "namedEntityVioletEntityProperties": "[Circular Reference]",
          "violetScriptId": "text",
          "violetScript": "[Circular Reference]",
          "outputs": {},
          "scriptContent": {},
          "scriptVariables": {},
          "scriptLanguage": "Python",
          "internalEntitySchemaId": "text",
          "internalEntitySchema": "[Circular Reference]",
          "workflows": "[Circular Reference]",
          "workflowTemplates": "[Circular Reference]",
          "violetEntityFetchResults": "[Circular Reference]",
          "fetchStatus": "queued",
          "lastFetchedAt": "2026-01-01T00:00:00.000Z",
          "lastFetchInfo": "text",
          "entitySubscriptions": "[Circular Reference]",
          "sourceEntitySubscriptions": "[Circular Reference]",
          "entityDesignations": [
            "ASSEMBLY"
          ],
          "requirements": "[Circular Reference]",
          "evidenceVerifications": "[Circular Reference]",
          "unifyingVioletId": "[Circular Reference]",
          "idOfUnifyingVioletId": "text",
          "createdIntegration": "[Circular Reference]",
          "integrationEvents": "[Circular Reference]",
          "isLatestRevision": true,
          "state": "[Circular Reference]",
          "files": "[Circular Reference]",
          "comments": "[Circular Reference]",
          "createdBy": "[Circular Reference]",
          "createdById": "text",
          "requirementId": "text",
          "requirement": "[Circular Reference]",
          "verificationId": "text",
          "verification": "[Circular Reference]",
          "workspaceId": "text",
          "workspace": "[Circular Reference]",
          "programId": "text",
          "program": "[Circular Reference]",
          "verificationMethods": "[Circular Reference]",
          "statusId": "text",
          "status": "[Circular Reference]",
          "peerReviewRequirements": "[Circular Reference]",
          "cloneOrigin": {
            "sourceVioletIdName": "text",
            "sourceRequirementId": "text",
            "sourceVerificationId": "text",
            "sourceVersionNumber": 1,
            "sourceVersionId": "text",
            "clonedAt": "text",
            "clonedByUserId": "text",
            "clonedByUserName": "text",
            "sourceProgramId": "text",
            "sourceProgramName": "text"
          }
        }
      ]
    },
    "import": true,
    "pushStatus": "queued",
    "lastPushedAt": "2026-01-01T00:00:00.000Z",
    "lastPushInfo": "text",
    "lastSuccessfulJob": "123e4567-e89b-12d3-a456-426614174000",
    "syncAlignmentStatus": "aligned",
    "syncAlignmentEvaluatedAt": "2026-01-01T00:00:00.000Z",
    "syncAlignmentFetchJobId": "text",
    "syncAlignmentSyncChangeId": "123e4567-e89b-12d3-a456-426614174000",
    "checkpointSyncChangeAlignmentId": "123e4567-e89b-12d3-a456-426614174000",
    "canEdit": true,
    "entityDesignations": [
      "ASSEMBLY"
    ],
    "isCustomEntity": true
  }
]
get
Autorizaciones
AuthorizationstringRequerido
Bearer authentication header of the form Bearer <token>.
Parámetros de ruta
idstringRequerido
Respuestas
200

Returned if the request is successful.

application/json
thumbnailUrlstringRequerido

Pre-signed URL for downloading the thumbnail image

get/api/entities/{id}/thumbnail-url
GET /api/entities/{id}/thumbnail-url HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returned if the request is successful.

{
  "thumbnailUrl": "text"
}

¿Te fue útil?